diff --git a/net/kmime/pkg-plist b/net/kmime/pkg-plist
index 683dcdb91b44..1bf744eaf3c0 100644
--- a/net/kmime/pkg-plist
+++ b/net/kmime/pkg-plist
@@ -1,104 +1,97 @@
-include/KPim5/KMime/KMime/Content
-include/KPim5/KMime/KMime/ContentIndex
-include/KPim5/KMime/KMime/DateFormatter
-include/KPim5/KMime/KMime/HeaderParsing
-include/KPim5/KMime/KMime/Headers
-include/KPim5/KMime/KMime/KMimeMessage
-include/KPim5/KMime/KMime/MDN
-include/KPim5/KMime/KMime/Message
-include/KPim5/KMime/KMime/NewsArticle
-include/KPim5/KMime/KMime/Types
-include/KPim5/KMime/KMime/Util
-include/KPim5/KMime/kmime/kmime_content.h
-include/KPim5/KMime/kmime/kmime_contentindex.h
-include/KPim5/KMime/kmime/kmime_dateformatter.h
-include/KPim5/KMime/kmime/kmime_export.h
-include/KPim5/KMime/kmime/kmime_header_parsing.h
-include/KPim5/KMime/kmime/kmime_headers.h
-include/KPim5/KMime/kmime/kmime_mdn.h
-include/KPim5/KMime/kmime/kmime_message.h
-include/KPim5/KMime/kmime/kmime_newsarticle.h
-include/KPim5/KMime/kmime/kmime_types.h
-include/KPim5/KMime/kmime/kmime_util.h
-include/KPim5/KMime/kmime_version.h
-lib/cmake/KF5Mime/KF5MimeConfig.cmake
-lib/cmake/KF5Mime/KF5MimeConfigVersion.cmake
-lib/cmake/KF5Mime/KPim5MimeTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5Mime/KPim5MimeTargets.cmake
-lib/cmake/KPim5Mime/KPim5MimeConfig.cmake
-lib/cmake/KPim5Mime/KPim5MimeConfigVersion.cmake
-lib/cmake/KPim5Mime/KPim5MimeTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Mime/KPim5MimeTargets.cmake
-lib/libKPim5Mime.so
-lib/libKPim5Mime.so.5
-lib/libKPim5Mime.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KMime.pri
-share/locale/ar/LC_MESSAGES/libkmime5.mo
-share/locale/be/LC_MESSAGES/libkmime5.mo
-share/locale/bg/LC_MESSAGES/libkmime5.mo
-share/locale/br/LC_MESSAGES/libkmime5.mo
-share/locale/bs/LC_MESSAGES/libkmime5.mo
-share/locale/ca/LC_MESSAGES/libkmime5.mo
-share/locale/ca@valencia/LC_MESSAGES/libkmime5.mo
-share/locale/cs/LC_MESSAGES/libkmime5.mo
-share/locale/cy/LC_MESSAGES/libkmime5.mo
-share/locale/da/LC_MESSAGES/libkmime5.mo
-share/locale/de/LC_MESSAGES/libkmime5.mo
-share/locale/el/LC_MESSAGES/libkmime5.mo
-share/locale/en_GB/LC_MESSAGES/libkmime5.mo
-share/locale/eo/LC_MESSAGES/libkmime5.mo
-share/locale/es/LC_MESSAGES/libkmime5.mo
-share/locale/et/LC_MESSAGES/libkmime5.mo
-share/locale/eu/LC_MESSAGES/libkmime5.mo
-share/locale/fa/LC_MESSAGES/libkmime5.mo
-share/locale/fi/LC_MESSAGES/libkmime5.mo
-share/locale/fr/LC_MESSAGES/libkmime5.mo
-share/locale/fy/LC_MESSAGES/libkmime5.mo
-share/locale/ga/LC_MESSAGES/libkmime5.mo
-share/locale/gl/LC_MESSAGES/libkmime5.mo
-share/locale/hi/LC_MESSAGES/libkmime5.mo
-share/locale/hne/LC_MESSAGES/libkmime5.mo
-share/locale/hu/LC_MESSAGES/libkmime5.mo
-share/locale/ia/LC_MESSAGES/libkmime5.mo
-share/locale/it/LC_MESSAGES/libkmime5.mo
-share/locale/ja/LC_MESSAGES/libkmime5.mo
-share/locale/ka/LC_MESSAGES/libkmime5.mo
-share/locale/kk/LC_MESSAGES/libkmime5.mo
-share/locale/km/LC_MESSAGES/libkmime5.mo
-share/locale/ko/LC_MESSAGES/libkmime5.mo
-share/locale/lt/LC_MESSAGES/libkmime5.mo
-share/locale/lv/LC_MESSAGES/libkmime5.mo
-share/locale/mk/LC_MESSAGES/libkmime5.mo
-share/locale/mr/LC_MESSAGES/libkmime5.mo
-share/locale/ms/LC_MESSAGES/libkmime5.mo
-share/locale/nb/LC_MESSAGES/libkmime5.mo
-share/locale/nds/LC_MESSAGES/libkmime5.mo
-share/locale/ne/LC_MESSAGES/libkmime5.mo
-share/locale/nl/LC_MESSAGES/libkmime5.mo
-share/locale/nn/LC_MESSAGES/libkmime5.mo
-share/locale/pa/LC_MESSAGES/libkmime5.mo
-share/locale/pl/LC_MESSAGES/libkmime5.mo
-share/locale/pt/LC_MESSAGES/libkmime5.mo
-share/locale/pt_BR/LC_MESSAGES/libkmime5.mo
-share/locale/ro/LC_MESSAGES/libkmime5.mo
-share/locale/ru/LC_MESSAGES/libkmime5.mo
-share/locale/se/LC_MESSAGES/libkmime5.mo
-share/locale/sk/LC_MESSAGES/libkmime5.mo
-share/locale/sl/LC_MESSAGES/libkmime5.mo
-share/locale/sq/LC_MESSAGES/libkmime5.mo
-share/locale/sr/LC_MESSAGES/libkmime5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkmime5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkmime5.mo
-share/locale/sr@latin/LC_MESSAGES/libkmime5.mo
-share/locale/sv/LC_MESSAGES/libkmime5.mo
-share/locale/ta/LC_MESSAGES/libkmime5.mo
-share/locale/th/LC_MESSAGES/libkmime5.mo
-share/locale/tr/LC_MESSAGES/libkmime5.mo
-share/locale/ug/LC_MESSAGES/libkmime5.mo
-share/locale/uk/LC_MESSAGES/libkmime5.mo
-share/locale/uz/LC_MESSAGES/libkmime5.mo
-share/locale/uz@cyrillic/LC_MESSAGES/libkmime5.mo
-share/locale/wa/LC_MESSAGES/libkmime5.mo
-share/locale/zh_CN/LC_MESSAGES/libkmime5.mo
-share/locale/zh_TW/LC_MESSAGES/libkmime5.mo
-share/qlogging-categories5/kmime.categories
+include/KPim6/KMime/KMime/Content
+include/KPim6/KMime/KMime/ContentIndex
+include/KPim6/KMime/KMime/HeaderParsing
+include/KPim6/KMime/KMime/Headers
+include/KPim6/KMime/KMime/MDN
+include/KPim6/KMime/KMime/Message
+include/KPim6/KMime/KMime/Types
+include/KPim6/KMime/KMime/Util
+include/KPim6/KMime/kmime/content.h
+include/KPim6/KMime/kmime/contentindex.h
+include/KPim6/KMime/kmime/headerparsing.h
+include/KPim6/KMime/kmime/headers.h
+include/KPim6/KMime/kmime/kmime_export.h
+include/KPim6/KMime/kmime/mdn.h
+include/KPim6/KMime/kmime/message.h
+include/KPim6/KMime/kmime/types.h
+include/KPim6/KMime/kmime/util.h
+include/KPim6/KMime/kmime_version.h
+lib/cmake/KPim6Mime/KPim6MimeConfig.cmake
+lib/cmake/KPim6Mime/KPim6MimeConfigVersion.cmake
+lib/cmake/KPim6Mime/KPim6MimeTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Mime/KPim6MimeTargets.cmake
+lib/libKPim6Mime.so
+lib/libKPim6Mime.so.6
+lib/libKPim6Mime.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ast/LC_MESSAGES/libkmime6_qt.qm
+share/locale/be/LC_MESSAGES/libkmime6_qt.qm
+share/locale/bg/LC_MESSAGES/libkmime6_qt.qm
+share/locale/br/LC_MESSAGES/libkmime6_qt.qm
+share/locale/bs/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ca/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ca@valencia/LC_MESSAGES/libkmime6_qt.qm
+share/locale/cs/LC_MESSAGES/libkmime6_qt.qm
+share/locale/cy/LC_MESSAGES/libkmime6_qt.qm
+share/locale/da/LC_MESSAGES/libkmime6_qt.qm
+share/locale/de/LC_MESSAGES/libkmime6_qt.qm
+share/locale/el/LC_MESSAGES/libkmime6_qt.qm
+share/locale/en_GB/LC_MESSAGES/libkmime6_qt.qm
+share/locale/eo/LC_MESSAGES/libkmime6_qt.qm
+share/locale/es/LC_MESSAGES/libkmime6_qt.qm
+share/locale/et/LC_MESSAGES/libkmime6_qt.qm
+share/locale/eu/LC_MESSAGES/libkmime6_qt.qm
+share/locale/fa/LC_MESSAGES/libkmime6_qt.qm
+share/locale/fi/LC_MESSAGES/libkmime6_qt.qm
+share/locale/fr/LC_MESSAGES/libkmime6_qt.qm
+share/locale/fy/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ga/LC_MESSAGES/libkmime6_qt.qm
+share/locale/gl/LC_MESSAGES/libkmime6_qt.qm
+share/locale/he/LC_MESSAGES/libkmime6_qt.qm
+share/locale/hi/LC_MESSAGES/libkmime6_qt.qm
+share/locale/hne/LC_MESSAGES/libkmime6_qt.qm
+share/locale/hu/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ia/LC_MESSAGES/libkmime6_qt.qm
+share/locale/it/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ja/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ka/LC_MESSAGES/libkmime6_qt.qm
+share/locale/kk/LC_MESSAGES/libkmime6_qt.qm
+share/locale/km/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ko/LC_MESSAGES/libkmime6_qt.qm
+share/locale/lt/LC_MESSAGES/libkmime6_qt.qm
+share/locale/lv/LC_MESSAGES/libkmime6_qt.qm
+share/locale/mk/LC_MESSAGES/libkmime6_qt.qm
+share/locale/mr/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ms/LC_MESSAGES/libkmime6_qt.qm
+share/locale/nb/LC_MESSAGES/libkmime6_qt.qm
+share/locale/nds/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ne/LC_MESSAGES/libkmime6_qt.qm
+share/locale/nl/LC_MESSAGES/libkmime6_qt.qm
+share/locale/nn/LC_MESSAGES/libkmime6_qt.qm
+share/locale/pa/LC_MESSAGES/libkmime6_qt.qm
+share/locale/pl/LC_MESSAGES/libkmime6_qt.qm
+share/locale/pt/LC_MESSAGES/libkmime6_qt.qm
+share/locale/pt_BR/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ro/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ru/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sa/LC_MESSAGES/libkmime6_qt.qm
+share/locale/se/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sk/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sl/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sq/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sr/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sr@ijekavian/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sr@latin/LC_MESSAGES/libkmime6_qt.qm
+share/locale/sv/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ta/LC_MESSAGES/libkmime6_qt.qm
+share/locale/th/LC_MESSAGES/libkmime6_qt.qm
+share/locale/tr/LC_MESSAGES/libkmime6_qt.qm
+share/locale/ug/LC_MESSAGES/libkmime6_qt.qm
+share/locale/uk/LC_MESSAGES/libkmime6_qt.qm
+share/locale/uz/LC_MESSAGES/libkmime6_qt.qm
+share/locale/uz@cyrillic/LC_MESSAGES/libkmime6_qt.qm
+share/locale/wa/LC_MESSAGES/libkmime6_qt.qm
+share/locale/zh_CN/LC_MESSAGES/libkmime6_qt.qm
+share/locale/zh_TW/LC_MESSAGES/libkmime6_qt.qm
+share/qlogging-categories6/kmime.categories
diff --git a/net/kontactinterface/Makefile b/net/kontactinterface/Makefile
index 2db8ba37fad4..62734ffc029f 100644
--- a/net/kontactinterface/Makefile
+++ b/net/kontactinterface/Makefile
@@ -8,14 +8,12 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		emoticons i18n iconthemes init itemmodels itemviews jobwidgets \
-		kdelibs4support kio parts service solid sonnet textwidgets \
-		widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons kio \
+		parts service solid sonnet textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/kontactinterface/distinfo b/net/kontactinterface/distinfo
index b980db7e1030..89b683daa2b7 100644
--- a/net/kontactinterface/distinfo
+++ b/net/kontactinterface/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889467
-SHA256 (KDE/release-service/23.08.5/kontactinterface-23.08.5.tar.xz) = edf16d32fe8167b52943178dc02d8b713699ea06283913675cf90a35de58b2bf
-SIZE (KDE/release-service/23.08.5/kontactinterface-23.08.5.tar.xz) = 40116
+TIMESTAMP = 1734460323
+SHA256 (KDE/release-service/24.12.0/kontactinterface-24.12.0.tar.xz) = ba2402d6083c420fbc31fcc7a3a7f4c57ee21eb137fbffbca927d20bd83799b8
+SIZE (KDE/release-service/24.12.0/kontactinterface-24.12.0.tar.xz) = 40736
diff --git a/net/kontactinterface/pkg-plist b/net/kontactinterface/pkg-plist
index 2a81bd7d99ca..838808d1a574 100644
--- a/net/kontactinterface/pkg-plist
+++ b/net/kontactinterface/pkg-plist
@@ -1,82 +1,84 @@
-include/KPim5/KontactInterface/KontactInterface/Core
-include/KPim5/KontactInterface/KontactInterface/PimUniqueApplication
-include/KPim5/KontactInterface/KontactInterface/Plugin
-include/KPim5/KontactInterface/KontactInterface/Processes
-include/KPim5/KontactInterface/KontactInterface/Summary
-include/KPim5/KontactInterface/KontactInterface/UniqueAppHandler
-include/KPim5/KontactInterface/kontactinterface/core.h
-include/KPim5/KontactInterface/kontactinterface/kontactinterface_export.h
-include/KPim5/KontactInterface/kontactinterface/pimuniqueapplication.h
-include/KPim5/KontactInterface/kontactinterface/plugin.h
-include/KPim5/KontactInterface/kontactinterface/processes.h
-include/KPim5/KontactInterface/kontactinterface/summary.h
-include/KPim5/KontactInterface/kontactinterface/uniqueapphandler.h
-include/KPim5/KontactInterface/kontactinterface_version.h
-lib/cmake/KPim5KontactInterface/KPim5KontactInterfaceConfig.cmake
-lib/cmake/KPim5KontactInterface/KPim5KontactInterfaceConfigVersion.cmake
-lib/cmake/KPim5KontactInterface/KPim5KontactInterfaceTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5KontactInterface/KPim5KontactInterfaceTargets.cmake
-lib/libKPim5KontactInterface.so
-lib/libKPim5KontactInterface.so.5
-lib/libKPim5KontactInterface.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KontactInterface.pri
-share/locale/ar/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/az/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/bg/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/bs/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ca/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ca@valencia/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/cs/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/da/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/de/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/el/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/en_GB/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/eo/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/es/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/et/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/eu/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/fi/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/fr/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ga/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/gl/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/he/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/hi/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/hu/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ia/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/is/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/it/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ja/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ka/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/kk/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/km/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ko/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/lt/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/lv/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/mr/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/nb/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/nds/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/nl/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/nn/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/pa/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/pl/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/pt/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/pt_BR/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ro/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ru/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sk/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sl/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sq/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sr/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sr@latin/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/sv/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/tr/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/ug/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/uk/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/vi/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/wa/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/zh_CN/LC_MESSAGES/kontactinterfaces5.mo
-share/locale/zh_TW/LC_MESSAGES/kontactinterfaces5.mo
-share/qlogging-categories5/kontactinterface.categories
-share/qlogging-categories5/kontactinterface.renamecategories
+include/KPim6/KontactInterface/KontactInterface/Core
+include/KPim6/KontactInterface/KontactInterface/PimUniqueApplication
+include/KPim6/KontactInterface/KontactInterface/Plugin
+include/KPim6/KontactInterface/KontactInterface/Processes
+include/KPim6/KontactInterface/KontactInterface/Summary
+include/KPim6/KontactInterface/KontactInterface/UniqueAppHandler
+include/KPim6/KontactInterface/kontactinterface/core.h
+include/KPim6/KontactInterface/kontactinterface/kontactinterface_export.h
+include/KPim6/KontactInterface/kontactinterface/pimuniqueapplication.h
+include/KPim6/KontactInterface/kontactinterface/plugin.h
+include/KPim6/KontactInterface/kontactinterface/processes.h
+include/KPim6/KontactInterface/kontactinterface/summary.h
+include/KPim6/KontactInterface/kontactinterface/uniqueapphandler.h
+include/KPim6/KontactInterface/kontactinterface_version.h
+lib/cmake/KPim6KontactInterface/KPim6KontactInterfaceConfig.cmake
+lib/cmake/KPim6KontactInterface/KPim6KontactInterfaceConfigVersion.cmake
+lib/cmake/KPim6KontactInterface/KPim6KontactInterfaceTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6KontactInterface/KPim6KontactInterfaceTargets.cmake
+lib/libKPim6KontactInterface.so
+lib/libKPim6KontactInterface.so.6
+lib/libKPim6KontactInterface.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ast/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/az/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/bg/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/bs/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ca/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ca@valencia/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/cs/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/da/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/de/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/el/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/en_GB/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/eo/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/es/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/et/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/eu/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/fa/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/fi/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/fr/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ga/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/gl/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/he/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/hi/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/hu/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ia/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/is/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/it/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ja/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ka/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/kk/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/km/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ko/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/lt/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/lv/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/mr/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/nb/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/nds/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/nl/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/nn/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/pa/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/pl/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/pt/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/pt_BR/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ro/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ru/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sa/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sk/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sl/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sq/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sr/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sr@latin/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/sv/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/tr/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/ug/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/uk/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/vi/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/wa/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/zh_CN/LC_MESSAGES/kontactinterfaces6.mo
+share/locale/zh_TW/LC_MESSAGES/kontactinterfaces6.mo
+share/qlogging-categories6/kontactinterface.categories
+share/qlogging-categories6/kontactinterface.renamecategories
diff --git a/net/kpimtextedit/Makefile b/net/kpimtextedit/Makefile
index 9ee8b6ea7448..cb323a100f71 100644
--- a/net/kpimtextedit/Makefile
+++ b/net/kpimtextedit/Makefile
@@ -8,14 +8,12 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		emoticons i18n iconthemes init itemmodels itemviews jobwidgets \
-		kdelibs4support kio ktextaddons service solid sonnet syntaxhighlighting \
-		textwidgets widgetsaddons windowsystem xmlgui \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	auth codecs completion config configwidgets coreaddons kio \
+		ktextaddons service solid sonnet syntaxhighlighting \
+		texttemplate textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network speech widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/kpimtextedit/distinfo b/net/kpimtextedit/distinfo
index 565ae9bf3e12..f461e9e9b705 100644
--- a/net/kpimtextedit/distinfo
+++ b/net/kpimtextedit/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889484
-SHA256 (KDE/release-service/23.08.5/kpimtextedit-23.08.5.tar.xz) = 4edc962b0c8202c192b3c9c6faaba0996e88df99609500abb54f55b768e727c7
-SIZE (KDE/release-service/23.08.5/kpimtextedit-23.08.5.tar.xz) = 303128
+TIMESTAMP = 1734460325
+SHA256 (KDE/release-service/24.12.0/kpimtextedit-24.12.0.tar.xz) = 3ff865a6319af3017ef07bffed6bcd39be026c9552214aead9021ad972ef7f55
+SIZE (KDE/release-service/24.12.0/kpimtextedit-24.12.0.tar.xz) = 176660
